aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRafael Goncalves Martins (rafaelmartins) <rafael@rafaelmartins.eng.br>2010-07-14 18:30:36 -0300
committerRafael Goncalves Martins (rafaelmartins) <rafael@rafaelmartins.eng.br>2010-07-14 18:30:36 -0300
commit2228589338e2b82eeae0669dbee66c10b2d1ce4c (patch)
treec431a7bf131f0f4860c01107a87825142caa9824
parentsci-mathematics/gfan: Imported updated ebuild from sage overlay (diff)
downloadsci-2228589338e2b82eeae0669dbee66c10b2d1ce4c.tar.gz
sci-2228589338e2b82eeae0669dbee66c10b2d1ce4c.tar.bz2
sci-2228589338e2b82eeae0669dbee66c10b2d1ce4c.zip
[app-portage/g-octave] Live ebuild updated. Already works with py3k.
(Portage version: 2.2_rc67/git/Linux x86_64) (Unsigned Manifest commit)
-rw-r--r--app-portage/g-octave/ChangeLog4
-rw-r--r--app-portage/g-octave/Manifest4
-rw-r--r--app-portage/g-octave/g-octave-9999.ebuild20
3 files changed, 18 insertions, 10 deletions
diff --git a/app-portage/g-octave/ChangeLog b/app-portage/g-octave/ChangeLog
index 974468c6e..799242507 100644
--- a/app-portage/g-octave/ChangeLog
+++ b/app-portage/g-octave/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 14 Jul 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ g-octave-9999.ebuild:
+ Updated the live ebuild to work with py3k.
+
*g-octave-0.3 (14 Jul 2010)
14 Jul 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
diff --git a/app-portage/g-octave/Manifest b/app-portage/g-octave/Manifest
index b5f9d520c..02b4ab1d6 100644
--- a/app-portage/g-octave/Manifest
+++ b/app-portage/g-octave/Manifest
@@ -2,6 +2,6 @@ DIST g-octave-0.3.tar.gz 52270 RMD160 0a0f9786526dccab740557c881986a7b06d905d5 S
DIST info-1278111487-1.json 1530 RMD160 1108da31ceda6394af5aceb43679c58b9a28a60a SHA1 b6788e2d1e7c553ca6bb836a57cc5b05f485f621 SHA256 18faad69984ebc16b6ff0b22efc9e6c06d44e047c847c7543f3e8fba186ad3eb
DIST octave-forge-1278111487.db.tar.gz 13425 RMD160 7a8e13df0de7ac9ca2af3f4a3f46e4bc01b97e3d SHA1 2d7ca14c17e69ed521bc952552333cc37eabe359 SHA256 5a86ea263b8c57422c1d7fd57a2ddc63683dc942e716687e0c5f9acbd385968f
EBUILD g-octave-0.3.ebuild 2304 RMD160 e05a1b924ea8168d5b087fb7cbd0a6ca68324835 SHA1 4008cc40e25c53dbc36396a401c4403e230fa687 SHA256 969a4f9c88388f3a4912eec158f7bf88ed9f0df589e462484e0290cda6d5c982
-EBUILD g-octave-9999.ebuild 1060 RMD160 c5e9908d4add0acbeae0b5bd6c879f513daa4340 SHA1 7ac322a1e9d0acccc147df32447a34d49c02d5dd SHA256 a1ad3f7f52785700df67e1f4bee95527ab58a0aac0919d3d67b7b1254d950fbb
-MISC ChangeLog 1965 RMD160 163ff69ed69582323b6043635d6b4250cc8cdbbc SHA1 288e814d9eff4ab6f7cc34289a26aff49384a4bf SHA256 e0c895cd429e25d2c73af4863e32edf9e8bb1e795158639fad52b7a4396654ca
+EBUILD g-octave-9999.ebuild 1070 RMD160 14f02adb4266fbd9bf8fca75b383f7ce26cf1616 SHA1 ec8cf444aea8bf15e2b063e1dda6c63ff3b6a964 SHA256 535f7b149916838e90ecc65b28a488f77eef8250f02c2650cf13a87fc298109d
+MISC ChangeLog 2105 RMD160 813ddeee32a78cd74ab7f1907a09841de122b37b SHA1 f03b8a02f4010f159e1b8185105956e208d73e49 SHA256 b14d7bc3c67c92460e680f8d2b95a19ba594a6bdb0d4b66e27a65fa33b533048
MISC metadata.xml 889 RMD160 6cd8b7a8e3d52a6b6d2f4f702987838424d93fa2 SHA1 c385586c3896eef73bca782bcd2b5d198fd096da SHA256 7e04a432c79a3db31fc33cce53e5ef102ce421f2264470de709a2bcc498c5a6e
diff --git a/app-portage/g-octave/g-octave-9999.ebuild b/app-portage/g-octave/g-octave-9999.ebuild
index 6fd4be656..4b0e35b3f 100644
--- a/app-portage/g-octave/g-octave-9999.ebuild
+++ b/app-portage/g-octave/g-octave-9999.ebuild
@@ -4,6 +4,9 @@
EAPI="2"
+SUPPORT_PYTHON_ABIS="1"
+PYTHON_DEPEND="*:2.6"
+
inherit distutils git
DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
@@ -15,24 +18,21 @@ SLOT="0"
KEYWORDS=""
IUSE="svn test"
-CDEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
-DEPEND="${CDEPEND}
- >=dev-python/docutils-0.6"
-RDEPEND="${CDEPEND}
- svn? ( dev-python/pysvn )
- || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
+DEPEND=">=dev-python/docutils-0.6"
+RDEPEND="sys-apps/portage
+ svn? ( dev-python/pysvn )"
S="${WORKDIR}/${PN}"
PYTHON_MODNAME="g_octave"
src_prepare() {
- distutils_src_prepare
if ! use svn; then
rm -rf g_octave/svn/ || die 'failed to remove the Subversion stuff.'
sed -i -e '/g_octave.svn/d' -e '/pysvn/d' setup.py \
|| die 'failed to remove the SVN stuff from setup.py'
fi
+ distutils_src_prepare
}
src_install() {
@@ -42,5 +42,9 @@ src_install() {
}
src_test() {
- PYTHONPATH=. scripts/run_tests.py || die "test failed."
+ testing() {
+ PYTHONPATH="build-${PYTHON_ABI}/lib" "$(PYTHON)" \
+ scripts/run_tests.py || die 'test failed.'
+ }
+ python_execute_function testing
}